#include <iostream>
#include <print>

int main()
{
    // Summe und Zähler initialisieren
    auto summe = 0.0;
    auto zaehler = 1;
    // Variable zum Einlesen eines Werts
    double wert;

    // Daten aus Datei einlesen bis Dateiende
    do
    {
        // Wert einlesen
        std::print("{}. Wert eingeben: ", zaehler);
        std::cin >> wert;
        // Falls nicht 0 eingegeben wurde
        if (wert != 0.)
        {
            // Wert aufsummieren und Zaehler erhoehen
            summe += wert;
            zaehler++;
        }
    } while (wert != 0.); // Bei 0. Schleife verlassen


    // Falls Werte eingelesen wurden
    if (zaehler != 1)
        // Mittelwert ausgeben
        std::println("Mittelwert der Zahlen: {:.4f}", summe / (zaehler-1));
    else
        // sonst Meldung ausgeben
        std::cout << "Keine Werte eingelesen!\n";
}
